Package org.opensaml.saml.ext.saml2mdrpi.impl

# Class RegistrationInfoImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.ext.saml2mdrpi.impl.RegistrationInfoImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `RegistrationInfo`

public class RegistrationInfoImpl extends AbstractXMLObject implements RegistrationInfo
Concrete Implementation of `RegistrationInfo`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`registrationAuthority`
The authority.
`private Instant`
`registrationInstant`
The registration instant.
`private final XMLObjectChildrenList<RegistrationPolicy>`
`registrationPolicies`
The policies.

### Fields inherited from interface org.opensaml.saml.ext.saml2mdrpi.RegistrationInfo

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, REGISTRATION_AUTHORITY_ATTRIB_NAME, REGISTRATION_INSTANT_ATTRIB_NAME, REGISTRATION_INSTANT_ATTRIB_QNAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RegistrationInfoImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getRegistrationAuthority()`
Get the registration authority.
`Instant`
`getRegistrationInstant()`
Get the registration instant.
`List<RegistrationPolicy>`
`getRegistrationPolicies()`
Get the `RegistrationPolicy`s.
`void`
`setRegistrationAuthority(String authority)`
Set the registration authority.
`void`
`setRegistrationInstant(Instant dateTime)`
Set the registration instant.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### registrationPolicies

@Nonnull private final XMLObjectChildrenList<RegistrationPolicy> registrationPolicies
The policies.

### registrationAuthority

@Nullable private String registrationAuthority
The authority.

### registrationInstant

@Nullable private Instant registrationInstant
The registration instant.

## Constructor Details

### RegistrationInfoImpl

protected RegistrationInfoImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getRegistrationAuthority

@Nullable public String getRegistrationAuthority()
Get the registration authority.

Specified by:
  `getRegistrationAuthority` in interface `RegistrationInfo`
Returns:
  the registration authority

### setRegistrationAuthority

public void setRegistrationAuthority(@Nullable String authority)
Set the registration authority.

Specified by:
  `setRegistrationAuthority` in interface `RegistrationInfo`
Parameters:
  `authority` - the registration authority

### getRegistrationInstant

@Nullable public Instant getRegistrationInstant()
Get the registration instant.

Specified by:
  `getRegistrationInstant` in interface `RegistrationInfo`
Returns:
  the registration instant

### setRegistrationInstant

public void setRegistrationInstant(@Nullable Instant dateTime)
Set the registration instant.

Specified by:
  `setRegistrationInstant` in interface `RegistrationInfo`
Parameters:
  `dateTime` - the instant

### getRegistrationPolicies

@Nonnull @Live public List<RegistrationPolicy> getRegistrationPolicies()
Get the `RegistrationPolicy`s.

Specified by:
  `getRegistrationPolicies` in interface `RegistrationInfo`
Returns:
  the list of policies

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements